Add multiple test cases (tickets) to the specified AI agent.
curl --request POST \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testCase/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticketIds": [
233,
237,
238
]
}
'{
"createdTestCases": [
{
"id": 123,
"ticketId": 123,
"aiAgentIds": [
1,
2,
3
],
"channel": "<string>",
"summary": "<string>",
"description": "<string>",
"expectedResult": {},
"modifiedBy": 123
}
]
}JWT-based authentication
The AI agent ID
The ids of the tickets to add as test cases for the respective AI agent
[233, 237, 238]Successful operation
Anzeigen untergeordnete attribute
The ID of the test case. Null if not yet saved.
The ID of the ticket that is being tested (null for chat/voice tests)
Array of AI agent IDs for reference only (indicates which agents this test case is meant for). Does not affect the number of test tickets created.
[1, 2, 3]The channel of the test case (email, chat, or phone)
The summary of the ticket. Pulled from ticket.summary
A short description of the test case. Null if not yet set.
The expected result of the test case
The user ID of the user who last modified the test case
curl --request POST \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testCase/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticketIds": [
233,
237,
238
]
}
'{
"createdTestCases": [
{
"id": 123,
"ticketId": 123,
"aiAgentIds": [
1,
2,
3
],
"channel": "<string>",
"summary": "<string>",
"description": "<string>",
"expectedResult": {},
"modifiedBy": 123
}
]
}